CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

关于领导者关联性 (VBA/ActiveX)

2023-1-4 22:50| 发布者: admin| 查看: 605| 评论: 0|来自: AutoCAD

摘要: 引线与其注释相关联,因此当引线移动时,引线的端点也会随之移动。

引线与其注释相关联,因此当引线移动时,引线的端点也会随之移动。

移动文本和特征控制框注释时,根据注释与引线倒数第二个(倒数第二个)点的关系,最终引出线段在附着到注释的左侧和右侧之间交替。如果注释的中点在倒数第二个引线点的右侧,则引线附加到右侧;否则,它将附加到左侧。

使用(添加块)或方法从图形中删除任一对象将破坏关联性。如果在单个操作中将引线及其注释一起复制,则新副本是关联的。如果单独复制它们,则它们不会关联。如果关联性因任何原因(例如,仅复制 Leader 对象或擦除注释)而中断,则钩线将从引线中删除。DeleteAddWBlock

将引线关联到批注

此示例创建一个对象。然后使用对象作为其注释创建引出线。MTextMText

Sub Ch5_AddAnnotation()
    Dim leaderObj As AcadLeader
    Dim mtextObj As AcadMText
    Dim points(0 To 8) As Double
    Dim insertionPoint(0 To 2) As Double
    Dim width As Double
    Dim leaderType As Integer
    Dim annotationObject As Object
    Dim textString As String, msg As String

    ' Create the MText object in model space
    textString = "Hello, World."
    insertionPoint(0) = 5
    insertionPoint(1) = 5
    insertionPoint(2) = 0
    width = 2
    Set mtextObj = ThisDrawing.ModelSpace. _
 AddMText(insertionPoint, width, textString)

    ' Data for Leader
    points(0) = 0: points(1) = 0: points(2) = 0
    points(3) = 4: points(4) = 4: points(5) = 0
    points(6) = 4: points(7) = 5: points(8) = 0
    leaderType = acLineWithArrow

    ' Create the Leader object in model space and associate
    ' the MText object with the leader
    Set annotationObject = mtextObj
    Set leaderObj = ThisDrawing.ModelSpace. _
 AddLeader(points, annotationObject, leaderType)
    ZoomAll
End Sub

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 10:26

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部